Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#41 closed defect (fixed)

"End" key doesn't work in popup screens

Reported by: kchen@MIT.EDU Owned by: nelhage@mit.edu
Priority: minor Milestone:
Component: ui Keywords:
Cc:

Description

On screen such as the help listing and the "l" page for the zephyr/jabber roster, the "Home" key will go to the top of the screen, but the "End" key results in:

'END' is not a valid key in this context.

End should jump to the end of the page.

Change History (3)

comment:1 Changed 13 years ago by nelhage

  • Resolution set to fixed
  • Status changed from new to closed

(In [773]) bind END in popless windows. closes #41

comment:2 Changed 13 years ago by asedeno

(In [777]) Merged revisions 734-776 via svnmerge from file:///afs/sipb.mit.edu/project/barnowl/src/svn/trunk

........

r738 | nelhage | 2007-07-07 17:42:45 -0400 (Sat, 07 Jul 2007) | 3 lines

Make the built-in regression tests output TAP and add a perl wrapper to call it.

........

r739 | nelhage | 2007-07-07 17:43:22 -0400 (Sat, 07 Jul 2007) | 2 lines

Forgot these in the last commit; Make all the tests output TAP

........

r740 | nelhage | 2007-07-07 19:46:16 -0400 (Sat, 07 Jul 2007) | 2 lines

Clean up an unused var warning.

........

r741 | nelhage | 2007-07-08 15:37:43 -0400 (Sun, 08 Jul 2007) | 2 lines

Adding a -s switch to change the location of the config dir (~/.owl)

........

r742 | nelhage | 2007-07-08 15:39:57 -0400 (Sun, 08 Jul 2007) | 2 lines

I don't understand why this didn't commit last time. I blame psvn.

........

r743 | nelhage | 2007-07-11 22:37:16 -0400 (Wed, 11 Jul 2007) | 3 lines

Don't allow you to go off the end of an empty message list. [fixes: #9]

........

r744 | nelhage | 2007-07-30 18:47:39 -0400 (Mon, 30 Jul 2007) | 2 lines

Fix sending to -c message -i personal

........

r745 | chmrr | 2007-07-30 20:21:18 -0400 (Mon, 30 Jul 2007) | 3 lines

r20981@zoq-fot-pik: chmrr | 2007-07-30 20:20:44 -0400

  • message length 0 means no fields

........

r746 | nelhage | 2007-07-30 20:25:59 -0400 (Mon, 30 Jul 2007) | 4 lines

  • zero-len message means no fields
  • Actually use owl_zephyr_get_zsig to get the zsig, which handles 0- and 1- field zephyrs correctly.

........

r747 | nelhage | 2007-07-30 20:29:36 -0400 (Mon, 30 Jul 2007) | 2 lines

Making that last patch actually compile. Bad me.

........

r748 | nelhage | 2007-08-01 01:42:53 -0400 (Wed, 01 Aug 2007) | 3 lines

owl_message_get_text needs to make sure there's text to return before returning it. fixes: #15

........

r749 | nelhage | 2007-08-01 01:52:08 -0400 (Wed, 01 Aug 2007) | 5 lines

zephyr smartnarrow now uses the personal filter to decide whether to narrow to user or not, and the zephyr-user filter now checks for `filter personal' instead of <message,personal,*>. closes #2

........

r750 | nelhage | 2007-08-01 02:27:30 -0400 (Wed, 01 Aug 2007) | 5 lines

Changing the default personal filter to <message,personal,*> for zephyr.

refs 2

........

r751 | nelhage | 2007-08-01 22:58:31 -0400 (Wed, 01 Aug 2007) | 2 lines

Display opcodes with the default style

........

r752 | nelhage | 2007-08-08 18:01:51 -0400 (Wed, 08 Aug 2007) | 2 lines

Applying ctl's variable shuffling patch for better ANSI C-ness. closes #18

........

r753 | nelhage | 2007-08-11 01:04:07 -0400 (Sat, 11 Aug 2007) | 3 lines

Implement :punt and :unpunt to punt arbitrary filters, rather than just z-triplets. closes #6

........

r754 | nelhage | 2007-08-11 01:18:37 -0400 (Sat, 11 Aug 2007) | 2 lines

Show non-personal pings like stock owl does. closes #12

........

r756 | asedeno | 2007-08-17 12:48:37 -0400 (Fri, 17 Aug 2007) | 8 lines

Apply patch from: http://rt.cpan.org/Public/Bug/Display.html?id=17484

Fixing problems with jabber servers keeping the same stream id when negotiating TLS.

Thanks to ghudson for tracking this down.

........

r757 | nelhage | 2007-08-17 17:26:44 -0400 (Fri, 17 Aug 2007) | 4 lines

When we're narrowing to an instance, properly include un-instances. This fixes narrowing to any instance that starts with un-

........

r758 | nelhage | 2007-08-27 19:17:20 -0400 (Mon, 27 Aug 2007) | 2 lines

Don't read before the start of the string for an instance

........

r759 | nelhage | 2007-09-07 00:13:45 -0400 (Fri, 07 Sep 2007) | 3 lines

Adding an explicit -f - to the tar commands for FreeBSD compatibility (reported by ecprice)

........

r760 | ecprice | 2007-09-08 17:33:34 -0400 (Sat, 08 Sep 2007) | 3 lines

Fixes for FreeBSD.

........

r761 | nelhage | 2007-09-10 20:00:45 -0400 (Mon, 10 Sep 2007) | 3 lines

Use "" instead of `undef' as a default for messages with no reply command to hopefully squelch perl warnings.

........

r762 | nelhage | 2007-09-12 21:37:41 -0400 (Wed, 12 Sep 2007) | 2 lines

Do ~-expansion in :loadsubs. closes #26

........

r763 | nelhage | 2007-09-12 21:54:51 -0400 (Wed, 12 Sep 2007) | 2 lines

Validate JIDs passed to jmuc join. closes #25

........

r764 | nelhage | 2007-09-12 22:46:17 -0400 (Wed, 12 Sep 2007) | 2 lines

Show full JIDs for users in non-anonymous JIDs in :jmuc presence. closes #24

........

r766 | nelhage | 2007-10-02 00:38:49 -0400 (Tue, 02 Oct 2007) | 3 lines

Don't crash if we hit `i' on iso-8859-*. This is not the right solution, but at least it doesn't SEGV.

........

r767 | asedeno | 2007-10-10 15:21:13 -0400 (Wed, 10 Oct 2007) | 1 line

Fixing a typo pointed out by kchen.

........

r768 | matt | 2007-10-14 17:16:35 -0400 (Sun, 14 Oct 2007) | 1 line

added -m flag to aimwrite

........

r769 | austein | 2007-10-14 18:16:44 -0400 (Sun, 14 Oct 2007) | 1 line

aimwrite -m displays according to displayoutgoing

........

r770 | asedeno | 2007-12-06 14:38:05 -0500 (Thu, 06 Dec 2007) | 3 lines

Making usleep call more reasonable. Responsiveness seems okay on linerva, no-knife, and darkmatter, and reported good on zephyr.

........

r771 | nelhage | 2007-12-10 21:34:46 -0500 (Mon, 10 Dec 2007) | 2 lines

Add zip as build-depends

........

r772 | nelhage | 2007-12-10 21:36:25 -0500 (Mon, 10 Dec 2007) | 2 lines

We're not ktools

........

r773 | nelhage | 2007-12-23 11:32:02 -0500 (Sun, 23 Dec 2007) | 2 lines

bind END in popless windows. closes #41

........

r774 | chmrr | 2007-12-23 15:16:26 -0500 (Sun, 23 Dec 2007) | 3 lines

r1805@utwig: chmrr | 2007-12-23 15:15:33 -0500

  • Allow C-r on outgoing messages (useful for CCs)

........

r775 | chmrr | 2007-12-23 15:16:29 -0500 (Sun, 23 Dec 2007) | 3 lines

r1806@utwig: chmrr | 2007-12-23 15:15:50 -0500

  • Identify ourselves as barnowl in a couple more places

........

comment:3 Changed 13 years ago by nelhage

(In [835]) Merged revisions 765-834 via svnmerge from svn+ssh://lunatique.mit.edu/mit/barnowl/src/svn/trunk

........

r766 | nelhage | 2007-10-02 00:38:49 -0400 (Tue, 02 Oct 2007) | 3 lines

Don't crash if we hit `i' on iso-8859-*. This is not the right solution, but at least it doesn't SEGV.

........

r767 | asedeno | 2007-10-10 15:21:13 -0400 (Wed, 10 Oct 2007) | 1 line

Fixing a typo pointed out by kchen.

........

r768 | matt | 2007-10-14 17:16:35 -0400 (Sun, 14 Oct 2007) | 1 line

added -m flag to aimwrite

........

r769 | austein | 2007-10-14 18:16:44 -0400 (Sun, 14 Oct 2007) | 1 line

aimwrite -m displays according to displayoutgoing

........

r770 | asedeno | 2007-12-06 14:38:05 -0500 (Thu, 06 Dec 2007) | 3 lines

Making usleep call more reasonable. Responsiveness seems okay on linerva, no-knife, and darkmatter, and reported good on zephyr.

........

r771 | nelhage | 2007-12-10 21:34:46 -0500 (Mon, 10 Dec 2007) | 2 lines

Add zip as build-depends

........

r772 | nelhage | 2007-12-10 21:36:25 -0500 (Mon, 10 Dec 2007) | 2 lines

We're not ktools

........

r773 | nelhage | 2007-12-23 11:32:02 -0500 (Sun, 23 Dec 2007) | 2 lines

bind END in popless windows. closes.#41

........

r774 | chmrr | 2007-12-23 15:16:26 -0500 (Sun, 23 Dec 2007) | 3 lines

r1805@utwig: chmrr | 2007-12-23 15:15:33 -0500

  • Allow C-r on outgoing messages (useful for CCs)

........

r775 | chmrr | 2007-12-23 15:16:29 -0500 (Sun, 23 Dec 2007) | 3 lines

r1806@utwig: chmrr | 2007-12-23 15:15:50 -0500

  • Identify ourselves as barnowl in a couple more places

........

r778 | asedeno | 2007-12-23 21:18:36 -0500 (Sun, 23 Dec 2007) | 1 line

Moving owl_get_datadir to util.c so make test works again.

........

r783 | asedeno | 2007-12-27 10:55:12 -0500 (Thu, 27 Dec 2007) | 1 line

Fixing a bug I noticed in the unicode branch.

........

r789 | chmrr | 2007-12-30 20:53:07 -0500 (Sun, 30 Dec 2007) | 5 lines

r1823@utwig: chmrr | 2007-12-30 20:52:12 -0500

  • Don't conceal subscription errors with the "ok, we added it to the .zephyr.subs file" message, by not doing the latter if the former fails.

........

r790 | chmrr | 2007-12-30 22:54:39 -0500 (Sun, 30 Dec 2007) | 1 line

  • Canonicalize class and sender, add base_class

........

r799 | nelhage | 2008-01-07 20:13:17 -0500 (Mon, 07 Jan 2008) | 1 line

Committing a partial IRC plugin

........

r801 | asedeno | 2008-01-08 00:10:30 -0500 (Tue, 08 Jan 2008) | 2 lines

Fixing a personal pet peeve: resizing should not leave the current message off screen.

........

r805 | geofft | 2008-01-08 23:24:09 -0500 (Tue, 08 Jan 2008) | 5 lines

Added support for channels in IRC. After you :irc-connect to a server, you can :irc-join #channel, and then :irc-msg either a user or a #channel. Replies, isprivate, and context should work vaguely as expected.

........

r806 | nelhage | 2008-01-09 00:25:32 -0500 (Wed, 09 Jan 2008) | 1 line

........

r807 | nelhage | 2008-01-09 00:25:56 -0500 (Wed, 09 Jan 2008) | 1 line

........

r808 | nelhage | 2008-01-09 00:26:15 -0500 (Wed, 09 Jan 2008) | 3 lines

r27173@lunatique: nelhage | 2008-01-09 00:25:13 -0500 Implement smartnarrow on channels

........

r809 | nelhage | 2008-01-09 01:26:19 -0500 (Wed, 09 Jan 2008) | 4 lines

r27177@lunatique: nelhage | 2008-01-09 01:23:14 -0500 import is_private from ::Connection

........

r810 | nelhage | 2008-01-09 02:23:31 -0500 (Wed, 09 Jan 2008) | 3 lines

r27179@lunatique: nelhage | 2008-01-09 02:22:05 -0500 Implement irc-nick

........

r814 | nelhage | 2008-01-09 23:14:20 -0500 (Wed, 09 Jan 2008) | 3 lines

r27181@lunatique: nelhage | 2008-01-09 23:13:52 -0500 Implement /part and /names. We don't parse the /names response yet

........

r815 | nelhage | 2008-01-10 00:12:52 -0500 (Thu, 10 Jan 2008) | 1 line

Show PART and JOIN messages

........

r816 | nelhage | 2008-01-10 00:13:11 -0500 (Thu, 10 Jan 2008) | 2 lines

Show the channel in LOG{IN,OUT} messages

........

r817 | geofft | 2008-01-10 00:32:44 -0500 (Thu, 10 Jan 2008) | 6 lines

A (broken) attempt at handling motds and other IRC admin messages

Export owl_function_beep() to Perl, and ring the bell on receiving a message containing your nick (on that network)

........

r818 | nelhage | 2008-01-10 01:01:32 -0500 (Thu, 10 Jan 2008) | 2 lines

Document the IRC variables

........

r819 | nelhage | 2008-01-10 01:02:06 -0500 (Thu, 10 Jan 2008) | 3 lines

Handle recreation of an existing variable better. Copy over the default and docstrings, but preserve the old value.

........

r820 | nelhage | 2008-01-10 01:16:33 -0500 (Thu, 10 Jan 2008) | 2 lines

Handle zephyrs to users on non -c message better (fixes.#39)

........

r821 | nelhage | 2008-01-10 01:28:59 -0500 (Thu, 10 Jan 2008) | 2 lines

sprintf -> snprintf

........

r822 | nelhage | 2008-01-10 01:43:11 -0500 (Thu, 10 Jan 2008) | 2 lines

Make :reload-modules work correctly with PARs

........

r823 | nelhage | 2008-01-10 15:47:00 -0500 (Thu, 10 Jan 2008) | 1 line

Require 'isprivate' to be a literal 'true', not merely present for a message to be considered private

........

r824 | nelhage | 2008-01-10 15:48:00 -0500 (Thu, 10 Jan 2008) | 2 lines

Document (nearly) every public function in the BarnOwl
namespace
........

r825 | nelhage | 2008-01-10 15:49:27 -0500 (Thu, 10 Jan 2008) | 2 lines

`beep' is already a barnowl command, so this binding is superfluous

........

r826 | nelhage | 2008-01-10 15:58:49 -0500 (Thu, 10 Jan 2008) | 1 line

strip IRC coloring from IRC messages

........

r827 | nelhage | 2008-01-10 17:22:46 -0500 (Thu, 10 Jan 2008) | 2 lines

Document ::Hook and ::Hooks

........

r828 | geofft | 2008-01-10 21:01:27 -0500 (Thu, 10 Jan 2008) | 1 line

Move comment around so that perlglue.xs compiles.

........

r829 | nelhage | 2008-01-10 23:25:27 -0500 (Thu, 10 Jan 2008) | 1 line

doc nits

........

r830 | nelhage | 2008-01-11 01:38:50 -0500 (Fri, 11 Jan 2008) | 2 lines

Handle `nickinuse' errors and disconnects

........

r834 | chmrr | 2008-01-11 17:11:00 -0500 (Fri, 11 Jan 2008) | 3 lines

r1876@utwig: chmrr | 2008-01-11 17:08:47 -0500

  • Default connections on a per-channel-name basis

........

Note: See TracTickets for help on using tickets.